-- 
-- AutoTurnOnDischarge
-- 
-- @Interface: 1.2.0.1 b3264
-- @Author: LS-Modcompany / kevink98
-- @Date: 05.08.2019
-- @Version: 1.0.0.0
-- 
-- @Support: LS-Modcompany
-- 
-- Changelog:
--		
-- 	v1.0.0.0 (05.08.2019):
-- 		- initial fs19 (kevink98)
-- 
-- Notes:
-- 
-- 
-- ToDo:
-- 

AutoTurnOnDischarge = {};

function AutoTurnOnDischarge.initSpecialization()
	
end;

function AutoTurnOnDischarge.prerequisitesPresent(specializations)
    return SpecializationUtil.hasSpecialization(TurnOnVehicle, specializations) and SpecializationUtil.hasSpecialization(Dischargeable, specializations);
end;

function AutoTurnOnDischarge.registerEventListeners(vehicleType)	
	SpecializationUtil.registerEventListener(vehicleType, "onDischargeStateChanged", AutoTurnOnDischarge);
end;

function AutoTurnOnDischarge:onDischargeStateChanged(state)	
	if self.isServer then
		local spec_turnOnVehicle = self.spec_turnOnVehicle
		local spec_dischargeable = self.spec_dischargeable
		
		if spec_dischargeable.currentDischargeState == 2 and not spec_turnOnVehicle:getIsTurnedOn() then
			spec_turnOnVehicle:setIsTurnedOn(true);
		elseif spec_dischargeable.currentDischargeState == 0 and spec_turnOnVehicle:getIsTurnedOn() then
			spec_turnOnVehicle:setIsTurnedOn(false);
		end;
	end;
end;
